#-------------------------------------------------
#
# Project created by QtCreator 2010-07-07T10:38:53
#
#-------------------------------------------------

QT       += core gui xml

TARGET = arclight
TEMPLATE = app


SOURCES += main.cpp\
        arcwindow.cpp \
    math/primitives/point3.cpp \
    math/primitives/polygon.cpp \
    io/svgreader.cpp \
    app/defs.cpp \
    app/environment.cpp \
    app/win.cpp \
    io/svgcmd.cpp \
    ui/renderview.cpp \
    ui/renderthread.cpp \
    engine/cell.cpp \
    engine/fx.cpp \
    fx/bevel.cpp \
    math/primitives/quad.cpp \
    math/geo.cpp \
    math/polygonclipper.cpp \
    math/quadlist.cpp \
    math/quadclipper.cpp \
    math/primitives/segment3.cpp \
    fx/light.cpp \
    engine/surface.cpp \
    engine/surfaceshader.cpp \
    model/project.cpp \
    fx/chain.cpp \
    model/context.cpp \
    ui/look.cpp \
    math/primitives/plane.cpp \
    math/linetoline.cpp \
    math/intersection/segseg.cpp \
    math/intersection/quadquad.cpp \
    math/intersection/raytri.cpp \
    math/intersection/rayquad.cpp \
    math/intersection/planeplane.cpp \
    engine/surfaceaccum.cpp \
    engine/surfaceneighbor.cpp \
    collections/recyclelist.cpp \
    math/mathutils.cpp \
    math/report.cpp \
    ui/stripview.cpp \
    ui/chainplug.cpp \
    ui/navigation.cpp \
    fx/shapesrc.cpp \
    engine/fxui.cpp \
    fxui/shapebrowser.cpp \
    fxui/parameditor.cpp \
    engine/fxdefs.cpp \
    engine/arc.cpp \
    arc/sine.cpp \
    engine/arcdefs.cpp \
    ui/renderio.cpp \
    engine/archead.cpp \
    arc/binary.cpp \
    math/primitives/range.cpp \
    engine/arcmod.cpp \
    arc/constant.cpp \
    arc/arcchain.cpp \
    param/paramdefs.cpp \
    param/paramurl.cpp \
    param/paramlist.cpp \
    param/param.cpp \
    engine/engineparam.cpp \
    engine/parent.cpp \
    ui/browserpopup.cpp \
    arc/noise.cpp \
    math/rnd/linearcongruence.cpp \
    engine/fxuidefs.cpp \
    arcui/arcrender.cpp \
    fxui/arcbrowser.cpp \
    engine/fxhead.cpp \
    model/activeproject.cpp \
    fx/glow.cpp \
    collections/recyclearray.cpp \
    engine/colorf.cpp \
    engine/colorsrc.cpp \
    engine/colorsrchead.cpp \
    arc/arcvisitors.cpp \
    compositing/colorsrc1.cpp \
    compositing/colorsrc2.cpp \
    compositing/colorsrclist.cpp \
    fxui/colorbrowser.cpp \
    fxui/colorsrcrender.cpp \
    compositing/mask.cpp \
    arc/arc_source.cpp \
    arc/arc_list.cpp \
    compositing/workmasks.cpp \
    arc/pow.cpp

HEADERS  += arcwindow.h \
    math/primitives/point3.h \
    math/primitives/polygon.h \
    io/svgreader.h \
    app/defs.h \
    app/environment.h \
    app/win.h \
    io/svgcmd.h \
    ui/renderview.h \
    ui/renderthread.h \
    engine/cell.h \
    engine/fx.h \
    fx/bevel.h \
    math/primitives/quad.h \
    math/geo.h \
    math/polygonclipper.h \
    math/quadlist.h \
    math/quadclipper.h \
    math/primitives/segment3.h \
    fx/light.h \
    engine/surface.h \
    engine/surfaceshader.h \
    model/project.h \
    fx/chain.h \
    model/context.h \
    ui/look.h \
    math/primitives/plane.h \
    math/linetoline.h \
    math/intersection/segseg.h \
    math/intersection/quadquad.h \
    math/intersection/raytri.h \
    math/intersection/rayquad.h \
    math/intersection/planeplane.h \
    engine/surfaceaccum.h \
    engine/surfaceneighbor.h \
    collections/recyclelist.h \
    math/mathutils.h \
    math/report.h \
    ui/stripview.h \
    ui/chainplug.h \
    ui/navigation.h \
    fx/shapesrc.h \
    engine/fxui.h \
    fxui/shapebrowser.h \
    fxui/parameditor.h \
    engine/fxdefs.h \
    engine/arc.h \
    arc/sine.h \
    engine/arcdefs.h \
    ui/renderio.h \
    engine/archead.h \
    arc/binary.h \
    math/primitives/range.h \
    engine/arcmod.h \
    arc/constant.h \
    arc/arcchain.h \
    param/paramdefs.h \
    param/paramurl.h \
    param/paramlist.h \
    param/param.h \
    engine/engineparam.h \
    engine/parent.h \
    ui/browserpopup.h \
    arc/noise.h \
    math/rnd/linearcongruence.h \
    engine/fxuidefs.h \
    arcui/arcrender.h \
    fxui/arcbrowser.h \
    engine/fxhead.h \
    model/activeproject.h \
    fx/glow.h \
    collections/recyclearray.h \
    engine/colorf.h \
    engine/colorsrc.h \
    engine/colorsrchead.h \
    arc/arcvisitors.h \
    compositing/colorsrc1.h \
    compositing/colorsrc2.h \
    compositing/colorsrclist.h \
    fxui/colorbrowser.h \
    fxui/colorsrcrender.h \
    compositing/mask.h \
    arc/arc_source.h \
    arc/arc_list.h \
    compositing/workmasks.h \
    arc/pow.h

FORMS    += arcwindow.ui
