#include "rayquad.h"

using namespace intersection;

RayQuad::RayQuad()
{
}

int RayQuad::on(	const Segment3& ray,
					const Quad& q,
					Point3& out)
{
	// Check the first tri in this quad
	int				ans = mRIT.on(ray, q.mPt[0], q.mPt[1], q.mPt[2], out);
	mSegmentIntersects = mRIT.mSegmentIntersects;
	if (ans < RayTri::INTERSECT_PLANE) return ans;
	if (ans == RayTri::INTERSECT_TRI) return ans;
	// Check the second tri
	ans = mRIT.on(ray, q.mPt[0], q.mPt[2], q.mPt[3], out);
	mSegmentIntersects = mRIT.mSegmentIntersects;
	if (ans == RayTri::INTERSECT_TRI) return ans;
	return RayTri::INTERSECT_PLANE;
}
