#ifndef SEGSEG_H
#define SEGSEG_H

#include "math/primitives/segment3.h"

// From softsurfer
// http://softsurfer.com/Archive/algorithm_0106/algorithm_0106.htm#dist3D_Segment_to_Segment()

namespace intersection {

/* Find the nearest intersection between two 3D segments.
 */
class SegSeg
{
public:
    SegSeg();

	float			on(const Segment3& a, const Segment3& b,
						Point3* nearest);

private:
	Point3			mU, mV, mW, mY, mDp;
};

} // intersection

#endif // SEGSEG_H
