#include "plane.h"

#include "quad.h"

Plane::Plane()
{
}

void Plane::from(const Quad& q)
{
	// XXX Take these points because sometimes my input is a degenerate
	// inward triangle.  To be accurate, I should account for outward tris,
	// too, but currently that's unnecessary.
	const Point3&		a = q.mPt[0];
	const Point3&		b = q.mPt[1];
	const Point3&		c = q.mPt[3];

	mPt.set(a);

	Point3			u, v;
	// get triangle edge vectors and plane normal
	u = b - a;
	v = c - a;
	mN.asCross3(u, v);
}
