#ifndef NAVIGATION_H
#define NAVIGATION_H

#include<QObject>

/* NAVIGATION
 * The API for controlling the state of
 * window elements -- what's selected,
 * what modes are active.
 ********************************************/
class Navigation : public QObject
{
	Q_OBJECT
public:
	Navigation(QObject *parent = 0);

	void			selectFx(const int fxId);

signals:
	void			onSelectFx(const int fxId);
};

#endif // NAVIGATION_H
