#include "renderio.h"

#include "engine/fx.h"

/* RENDER-IN
 ******************************************************************/
RenderIn::RenderIn()
	: mType(ERR_TYPE)
{
}

RenderIn::~RenderIn()
{
}

void RenderIn::setProject(Project& prj, const QSize& size)
{
	mType = FX_TYPE;
	mSize = size;
	mPrj.swap(prj);
}

void RenderIn::setParam(const Param& p)
{
	mType = PARAM_TYPE;
	mParam = p;
}

void RenderIn::clear()
{
	mPrj.mHead.setFx(NULL);
}

/* RENDER-OUT
 ******************************************************************/
RenderOut::RenderOut(const QSize& size)
	: mOutput(size)
{
}
