#include "arcvisitors.h"

#include "engine/arc.h"

using namespace arc;

/* LAST-ID
 ******************************************************************/
LastId::LastId()
	: mLastId(-1)
{
}

int LastId::visit(Arc& a)
{
	if (a.getId() > mLastId) mLastId = a.getId();
	return CONTINUE;
}

/* FILL-ID
 ******************************************************************/
FillId::FillId(const int nextId)
	: mNextId(nextId)
{
}

int FillId::visit(Arc& a)
{
	if (a.mId < 0) a.mId = mNextId++;
	return CONTINUE;
}
