#ifndef CELL_H
#define CELL_H

#include "collections/recyclearray.h"

/* CELL
 * Cache the results of a bevel operation, so
 * subsequent processing is quick.
 ******************************************************************/
class Cell
{
public:
    Cell();

	// the surface normal
	float		mNormalX, mNormalY, mNormalZ,
	// the surface distance from the outside
				mD;
};

typedef RecycleArray<Cell>		CellMask;

#endif // CELL_H
