#include "fx.h"

#include "fxui/parameditor.h"
#include "param/param.h"

/* FX
 ******************************************************************/
Fx::Fx(const int uniqueId)
{
	mId = uniqueId;
}

Fx::Fx(const Fx& o)
	: param::Parent(o)
{
}

Fx::~Fx()
{
}

int Fx::forEach(fx::Visitor& v, fx::VisitParams& vp)
{
	return v.visit(*this, vp);
}

FxUi* Fx::newUi(FxUi::Create& c) const
{
	param::Url		url;
	Parent::makeUrl(this, url);
	return new fxui::ParamEditor(c, url);
}
