#include "fxui.h"

/* PARENT
 *******************************/
FxUi::Parent::Parent() { }
FxUi::Parent::~Parent() { }

/* MOUSE-ARGS
 *******************************/
FxUi:: mouse_args::mouse_args()
	: mEvent(NULL)
	, mEntry(NULL)
{
}

/* PAINT-ARGS
 *******************************/
FxUi:: paint_args::paint_args()
	: mPainter(NULL)
	, mLook(NULL)
{
}

/* ENTRY
 *******************************/
FxUi::Entry::Entry() { }
FxUi::Entry::~Entry() { }

/* CREATE
 *******************************/
FxUi::Create::Create(	const Environment& env, Context& prj,
						const ArcList& arcs, const ColorSrcList& clrs,
						const int mode)
	: mEnv(env)
	, mPrj(prj)
	, mArcs(arcs)
	, mClrs(clrs)
	, mMode(mode)
{
}

/* FX-UI
 *******************************/
FxUi::FxUi()
	: mParent(NULL)
{
}

FxUi::~FxUi()
{
}

void FxUi::setParent(Parent* p, const Look&)
{
	mParent = p;
}
