#ifndef COLORSRCRENDER_H
#define COLORSRCRENDER_H

#include <QSize>

#include "compositing/mask.h"

class QPixmap;
class ColorSrcHead;

/* COLOR-SRC-RENDER.
 * Draw color sources.
 ******************************************************************/
class ColorSrcRender
{
public:
	ColorSrcRender();

	QPixmap*				onRender(const ColorSrcHead&, const QSize&);
	bool					onRender(const ColorSrcHead&, QPixmap&);

private:
	QSize					mSize;
	Mask					mMask, mAa;

	bool					makeSource(const QSize&);
};


#endif // COLORSRCRENDER_H
