#ifndef LINETOLINE_H
#define LINETOLINE_H

#include "math/primitives/segment3.h"

/* Distance between two lines (not segments), 3d
 */
class LineToLine
{
public:
    LineToLine();

	Point3		mNearest1, mNearest2;

	float		on(	const Segment3& L1, const Segment3& L2);
	float		on(	const Point3& a1, const Point3& a2,
					const Point3& b1, const Point3& b2);

private:
	Point3		mB2B1, mA1B1, mA2A1,
				mU, mV;
};

#endif // LINETOLINE_H
