#include "mathutils.h"

QuadIt::QuadIt()
	: mSize(0)
{
}

void QuadIt::set(const Quad& q)
{
	mPt[0] = &(q.mPt[0]);
	mSize = 1;

	for (int i=1; i<Quad::SIZE; i++) {
		if (mPt[mSize-1]->sameAs3(q.mPt[i])) continue;
		mPt[mSize] = &(q.mPt[i]);
		mSize++;
	}
}
