#ifndef POLYGON_H
#define POLYGON_H

#include <QtGlobal>

class Point3;

class Polygon
{
public:
	Polygon();
	~Polygon();

	qint32			getSize() const;
	Point3*			getPoints() const;

	bool			set(const Polygon&);

	bool			add(const double x, const double y, const double z);

private:
	Point3*			mPt;
	qint32			mSize,
					mAlloc;

	bool			growTo(const qint32 newAlloc);
};

#endif // POLYGON_H
