#ifndef PROJECT_H
#define PROJECT_H

#include "engine/fxhead.h"

/* PROJECT
 * Store the settings for one project. which is a timestamp
 * and a series of FX units.
 ******************************************************************/
class Project
{
public:
	Project();
	~Project();

	int					mTimeStamp;
	FxHead				mHead;

	// Exchange all data
	void				swap(Project&);

	// Copy the source data
	bool				copyFrom(const Project&);
};

#endif // PROJECT_H
